org.eclipse.microprofile.metrics.tck.metrics

## Class ConcurrentGaugeTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.ConcurrentGaugeTest

    public class ConcurrentGaugeTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ConcurrentGaugeTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `decrementTest()`
`void` `getCountTest()`
`void` `incrementTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcurrentGaugeTest

    public ConcurrentGaugeTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### getCountTest

    @InSequence(value=1)
    public void getCountTest()

#### incrementTest

    @InSequence(value=2)
    public void incrementTest()

#### decrementTest

    @InSequence(value=3)
    public void decrementTest()